Name:		falf
Version:	1.3
Release:	alt0.M40.1
Summary:	KDE media player with tabbed playlists!
License: 	GPLv2
Group: 		Sound
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Url:		http://falf.sourceforge.net/
Source0:	http://switch.dl.sourceforge.net/sourceforge/falf/%name-%version.tar.bz2
Patch0:		%name-1.0-alt_destdir.diff
Patch1:		%name-1.3-fix_uk_UA.diff

Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils

# Automatically added by buildreq on Fri Sep 14 2007 (-bi)
BuildRequires: gcc-c++ kdelibs-devel libXext-devel libqt3-devel libtag-devel libxine-devel

%description
FALF Player is brand-new, written from scratch
music player for K Desktop Environment. 

Highlights:
- multiplaylist support
- lyrics support
- m3u support
- last.fm support
- HTTP streams support (radio)
- built-in tags' editor
- built-in equalizer
- easy transfer of tracks to removable device
- high stability
- low memory consumption

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
export PATH=$PATH:%_qt3dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %name.pro
%make_build

%install
export DESTDIR="%buildroot%_prefix"
export PATH=$PATH:%_qt3dir/bin
sh ./install.sh

%find_lang %name

%post
%update_menus
%update_desktopdb

%preun
%clean_menus
%clean_desktopdb

%files -f %name.lang
%doc CHANGELOG README
%_bindir/%name
%_desktopdir/%name.desktop
%_datadir/apps/konqueror/servicemenus/%{name}_mnu.desktop
%_datadir/icons/*/*/apps/%name.png

%changelog
* Mon Aug 18 2008 Motsyo Gennadi <drool@altlinux.ru> 1.3-alt0.M40.1
- build for M40

* Sun Aug 17 2008 Motsyo Gennadi <drool@altlinux.ru> 1.3-alt1
- 1.3 release

* Thu Jun 26 2008 Motsyo Gennadi <drool@altlinux.ru> 1.2-alt1
- 1.2 release

* Wed Jun 11 2008 Motsyo Gennadi <drool@altlinux.ru> 1.2-alt0.svn245
- new svn 245 version
  * fixed broken increasing volume at startup
  * fixed problem with changing equalizer profile's name
  * GCC 4.3.0 compatibility
  * last.fm playback percent complete can be set in range from 50 to 100%
  * accelerators can be set by user

* Wed Apr 02 2008 Motsyo Gennadi <drool@altlinux.ru> 1.1-alt1.1
- fix desktop-mime-entry

* Mon Feb 25 2008 Motsyo Gennadi <drool@altlinux.ru> 1.1-alt1
- 1.1 release

* Mon Jan 07 2008 Motsyo Gennadi <drool@altlinux.ru> 1.0-alt1
- 1.0 release

* Sat Dec 15 2007 Motsyo Gennadi <drool@altlinux.ru> 1.0-alt0.svn210
- new development version

* Fri Sep 14 2007 Motsyo Gennadi <drool@altlinux.ru> 1.0-alt0.rc6
- initial build for ALT Linux
